regexpu(1)

NAME
regexpu - transpile ES6 Unicode regular expressions to equivalent ES5

SYNOPSIS
regexpu [--c | --code snippet]
[--f | --file file]
[-v | --version]
[-h | --help]

DESCRIPTION
regexpu transpiles ES6 Unicode regular expressions to equivalent ES5.

OPTIONS

-c, --code <snippet>
Print a transpiled version of the given ES6 snippet.

-f, --file <file>
Print a transpiled version of the given ES6 file.

-v, --version
Print regexpu's version.

-h, --help
Show the help screen.

EXIT STATUS
The regexpu utility exits with one of the following values:

0   regexpu successfully transpiled the input and printed the result.
1   regexpu wasn't instructed to transpile anything (for example, the --help flag was set); or, an error occurred.

EXAMPLES

regexpu -f foo-es6.js > foo-es5.js
Transpile `foo-es6.js` to valid ES5 and save the result as `foo-es5.js`.

regexpu -c 'var x = /foo.bar/u;'
Print the transpiled version of the given ES6 snippet.

echo 'var x = /foo.bar/u;' | regexpu -c
Print the transpiled version of the ES6 snippet that gets piped in.

BUGS
regexpu's bug tracker is located at <https://github.com/mathiasbynens/regexpu/issues>.

AUTHOR
Mathias Bynens <https://mathiasbynens.be/>

WWW
<https://mths.be/regexpu>